import { getUserInfo, reApprove } from "../../service/user"
import { alertInfo, alertSuccess } from '../../utils/index'
import request from "../../utils/request"
const { OK } = request;
// pages/waitApprove/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    user: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getInfo()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },
  async getInfo() {
    const { code, message, data } = await getUserInfo();
    // if (code !== OK) {
    //   alertInfo(message)
    //   return;
    // }
    this.setData({
      user: data
    })
  },
  jumpToHome() {
    wx.switchTab({
      url: '/page/home/index',
    })
  },
  async handleReApprove() {
    const { code, message, } = await reApprove();
    if (code !== OK) {
      alertInfo(message)
      return;
    }
    alertSuccess("提交成功");
    this.getInfo();
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})