// components/navigator/index.js
Component({

  /**
   * 组件的属性列表
   */
  properties: {
    title: String,
    canBack: Boolean,
  },

  /**
   * 组件的初始数据
   */
  data: {

  },
  lifetimes: {
    attached: function() {
      const that = this;
      wx.getSystemInfo({
        success: function (res) {
          that.setData({
            statusBarHeight : res.statusBarHeight,
            navBarHeight : res.statusBarHeight , // 顶部导航栏高度为 44px
            jiaonangheight: wx.getMenuButtonBoundingClientRect().height, // 胶囊高度
            jiaonangwidth:wx.getMenuButtonBoundingClientRect().width,
          })
        },
      })
    }
  },
  /**
   * 组件的方法列表
   */
  methods: {
    back() {
      wx.navigateBack();
    }
  }
})